# Generated from jabysoft-rails_patterns-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jabysoft-rails_patterns

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: RailsPatterns set of patterns
License: MIT
URL: https://github.com/jabysoft/jabysoft-rails_patterns
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rails) >= 5.0
# BuildRequires: rubygem(rails) < 6
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(simplecov) >= 0.12.0
# BuildRequires: rubygem(simplecov) < 0.13
BuildArch: noarch

%description
RailsPatterns contains a bunch of useful classes for a great Rails project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jabysoft-rails_patterns.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
